#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long long n,x;
    cin >>n>>x;
    long long  rmin,rmax,a,m,o,suma=0;
    cin >>a;
    rmin=x+a;
    rmax=x+a;
    for(long i=1;i<n;i++){
     cin >>a;
     m=x+a;
     o=x+a;
     if(m>rmax)
        rmax=m;
     if(o<rmin)
        rmin=o;
    }
    if(abs(rmax-2*x)<abs(rmin-2*x))
       suma=abs(rmax-2*x)+abs(rmax-rmin);
    else
       suma=abs(rmin-2*x)+abs(rmax-rmin);
    cout <<suma<<endl;
    return 0;
}